/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.binding.http;

import javax.jbi.JBIException;

import org.objectweb.petals.binding.http.listeners.HttpConnectionManager;
import org.objectweb.petals.binding.http.listeners.HttpRequestDescriptorBuilder;
import org.objectweb.petals.component.framework.bc.AbstractBindingComponent;

/**
 * The HTTP BC Component.
 * 
 * @author mcarpentier - EBM Websourcing
 */
public class HttpBCImpl extends AbstractBindingComponent {

    public static final String HTTP_GET_METHOD = "GET";

    public static final String HTTP_POST_METHOD = "POST";

    public static final String URL_PATHELEMENT = "url";

    public static final String METHOD_PATHELEMENT = "http-method";

    public static final String SUFFIX_PROPERTY = "suffix";
    
    public static final String JBI_NS = "javax.jbi";
    
    public static final String PETALS_NS = "org.objectweb.petals";

    private HttpRequestDescriptorBuilder requestDescriptorBuilder;

    private HttpConnectionManager connectionManager;

    public HttpBCImpl() {
        super();
    }

    public final HttpConnectionManager getConnectionManager() {
        return this.connectionManager;
    }

    public final HttpRequestDescriptorBuilder getRequestDescriptorBuilder() {
        return this.requestDescriptorBuilder;
    }

    @Override
    protected final void doInit() throws JBIException {

        this.requestDescriptorBuilder = new HttpRequestDescriptorBuilder(this
                .getLogger());

        this.connectionManager = new HttpConnectionManager(this.getLogger(),
                this.requestDescriptorBuilder);

    }

}
